/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.arrebol.taxiservicios.beans.report;

import com.arrebol.taxiservicios.beans.TaxiGenericBean;
import com.arrebol.taxiservicios.controller.predio.AbonoLoteController;
import com.arrebol.taxiservicios.controller.predio.PredioController;
import com.arrebol.taxiservicios.model.predio.FoliosCancelados;
import com.arrebol.taxiservicios.model.predio.Predio;
import com.sun.faces.renderkit.RenderKitUtils;
import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.faces.view.ViewScoped;
import javax.inject.Named;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

/**
 *
 * @author Crov
 */
@Named("historialFoliosCanceladosBean")
@ViewScoped
public class HistorialFoliosCanceladosBean extends TaxiGenericBean implements Serializable {

    private static final long serialVersionUID = -7284027390656669184L;
    final Logger logger = LogManager.getLogger(getClass());

    private AbonoLoteController abonoLoteController;
    private PredioController predioController;
    private List<FoliosCancelados> listFoliosCancelados;
    private List<Predio> listPredio;
    private String selectedIdPredio;
    private FoliosCancelados selectedFoliosCancelados;

    @PostConstruct
    public void init() {
        logger.info("start  init");
        try {
            setPredioController(new PredioController());
            setListPredio(getPredioController().fillPredioDatatableByLocation(getLoggedUser().getLocation()));
        } catch (Exception e) {
            logger.error("init", e);
        }
    }
    
    public void cargarFoliosCancelados(){
        logger.info("cargar Folios Cancelados");
        try {
            setAbonoLoteController(new AbonoLoteController());
            setListFoliosCancelados(getAbonoLoteController().fillFoliosCanceladosByPredio(getSelectedIdPredio()));
        } catch (Exception e) {
            logger.error("cargarFoliosCancelados(): "+e);
        }
    }

    public AbonoLoteController getAbonoLoteController() {
        return abonoLoteController;
    }

    public void setAbonoLoteController(AbonoLoteController abonoLoteController) {
        this.abonoLoteController = abonoLoteController;
    }

    public List<FoliosCancelados> getListFoliosCancelados() {
        return listFoliosCancelados;
    }

    public void setListFoliosCancelados(List<FoliosCancelados> listFoliosCancelados) {
        this.listFoliosCancelados = listFoliosCancelados;
    }

    public List<Predio> getListPredio() {
        return listPredio;
    }

    public void setListPredio(List<Predio> listPredio) {
        this.listPredio = listPredio;
    }

    public String getSelectedIdPredio() {
        return selectedIdPredio;
    }

    public void setSelectedIdPredio(String selectedIdPredio) {
        this.selectedIdPredio = selectedIdPredio;
    }   

    public PredioController getPredioController() {
        return predioController;
    }

    public void setPredioController(PredioController predioController) {
        this.predioController = predioController;
    }

    public FoliosCancelados getSelectedFoliosCancelados() {
        return selectedFoliosCancelados;
    }

    public void setSelectedFoliosCancelados(FoliosCancelados selectedFoliosCancelados) {
        this.selectedFoliosCancelados = selectedFoliosCancelados;
    }

}
